Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| dbXML API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.dbxml.xml.sax
Class SAXTableGenerator

    java.lang.Object
      com.dbxml.xml.dtsm.TableGenerator
          com.dbxml.xml.sax.SAXTableGenerator

Direct Known Subclasses:
  TextTableGenerator

public class SAXTableGenerator
extends TableGenerator

SAXTableGenerator

Constructor Summary
`SAXTableGenerator()`
`SAXTableGenerator(java.io.File file)`
`SAXTableGenerator(java.io.InputStream is)`
`SAXTableGenerator(java.io.Reader reader)`
`SAXTableGenerator(java.lang.String uri)`

Method Summary
`DocumentTable` | `process()` process effectively kicks off the generation process and when complete, returns the new DocumentTable instance.

Methods inherited from class com.dbxml.xml.dtsm.TableGenerator
`getProperty, getSymbolTable, setProperty, setSymbolTable`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SAXTableGenerator

    public SAXTableGenerator()

### SAXTableGenerator

    public SAXTableGenerator(java.io.InputStream is)

### SAXTableGenerator

    public SAXTableGenerator(java.io.Reader reader)

### SAXTableGenerator

    public SAXTableGenerator(java.io.File file)
                      throws java.io.IOException

### SAXTableGenerator

    public SAXTableGenerator(java.lang.String uri)

Method Detail

### process

    public final DocumentTable process()
                                throws DTSMException

  Description copied from class: `TableGenerator`
  process effectively kicks off the generation process and when complete, returns the new DocumentTable instance.

  Specified by:
    `process` in class `TableGenerator`
  Returns:
    The DocumentTable
  Throws:
    `DTSMException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| dbXML API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (c) 2004 The dbXML Group